List On-Demand Clusters (V2)Public Preview
List all on-demand clusters in the current project.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Use application/json.
The ID of the project to list clusters in. If not specified, the clusters in the default project will be listed.
The ID of the cloud region to list clusters in. If not specified, the clusters in all regions will be listed.
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters?projectId=proj-xxxxxxxxxxxxxxxxxxxx®ionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Content-Type: application/json"
Response code.
The total number of on-demand clusters.
List of on-demand clusters.
An on-demand cluster.
ID of the project to which the cluster belongs.
ID of the cluster.
Name of the cluster.
Cloud region where the cluster is located.
CU size of the cluster
Current cluster status
Cluster public endpoint. For an on-demand cluster, the endpoint is an on-demand compute endpoint, which is shared among all on-demand clusters in the project. Use that with the target cluster ID for searches and queries.
Cluster private endpoint. This is an empty string if private link is not enabled.
Email address of the user who create the cluster.
Timestamp at which the cluster is created.
Auto-suspend idle window configured for the cluster. The cluster will be automatically suspended if there is no request within the specified period. The value is an integer representing the number of seconds. For example, 300 means 5 minutes.
{
"code": 0,
"data": {
"count": 2,
"onDemandClusters": [
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-01",
"regionId": "aws-us-west-2",
"cuSize": 8,
"status": "RUNNING",
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396115000,
"autoSuspend": 60
},
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-02",
"regionId": "aws-us-west-2",
"status": "RUNNING",
"cuSize": 8,
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": 1745396116450,
"autoSuspend": 60
}
]
}
}
{
"code": 21119,
"message": "The apikey is illegal."
}